 /*
  * Copyright (C), 2018-2020
  * Project: starter
  * FileName: RoleGroupDBAccess
  * Author:   Louis
  * Date:     2020/6/4 11:48
  */
 package com.fr.plugin.j7843.sso;

 import com.fr.plugin.db.AbstractDBAccessProvider;
 import com.fr.plugin.j7843.sso.dao.CstDataDao;
 import com.fr.plugin.j7843.sso.dao.CstStatusDao;
 import com.fr.plugin.j7843.sso.entity.CstDataEntity;
 import com.fr.plugin.j7843.sso.entity.CstStatusEntity;
 import com.fr.stable.db.accessor.DBAccessor;
 import com.fr.stable.db.dao.BaseDAO;
 import com.fr.stable.db.dao.DAOProvider;

 /**
  * 〈Function Description〉<br>
  * 〈ProcessDBAccess〉
  *
  * @author Louis
  * @since 1.0.0
  */
 public class ProcessDBAccess extends AbstractDBAccessProvider {
     private static DBAccessor accessor;

     public ProcessDBAccess() {
     }

     public static DBAccessor getAccessor() {
         return accessor;
     }

     @Override
     public DAOProvider[] registerDAO() {
         return new DAOProvider[]{
            new DAOProvider() {
                     @Override
                     public Class getEntityClass() {
                         return CstDataEntity.class;
                     }
                     @Override
                     public Class<? extends BaseDAO> getDAOClass() {
                         return CstDataDao.class;
                     }
            },
            new DAOProvider() {
                @Override
                 public Class getEntityClass() {
                     return CstStatusEntity.class;
                 }
                 @Override
                 public Class<? extends BaseDAO> getDAOClass() {
                     return CstStatusDao.class;
                 }
            }
         };
     }

     @Override
     public void onDBAvailable(DBAccessor dbAccessor) {
         accessor = dbAccessor;
     }
 }