 /*
  * Copyright (C), 2018-2021
  * Project: starter
  * FileName: DataResponse
  * Author:   Louis
  * Date:     2021/3/19 11:46
  */
 package com.fr.plugin.j7843.sso.bean;

 import com.fr.third.fasterxml.jackson.annotation.JsonInclude;

import java.io.Serializable;
import java.util.List;

 /**
  * <Function Description><br>
  * <DataResponse>
  *
  * @author Louis
  * @since 1.0.0
  */
 @JsonInclude(JsonInclude.Include.NON_DEFAULT)
 public class DataResponse implements Serializable {
     private static final long serialVersionUID = -6470353731188369521L;
     private String code;
     private String message;
     private List<CstDataBean> data;

     public DataResponse() {
     }

     public DataResponse code(String code) {
         this.code = code;
         return this;
     }

     public DataResponse message(String message) {
         this.message = message;
         return this;
     }

     public DataResponse data(List<CstDataBean> data) {
         this.setData(data);
         return this;
     }

     private static DataResponse create() {
         return new DataResponse();
     }

     /**
      * 操作结果
      *
      * @return
      */
     public static DataResponse success() {
         return create().code("0").message("success");
     }

     /**
      * 操作结果
      *
      * @param data
      * @return
      */
     public static DataResponse operation(List<CstDataBean> data) {
         return create().code("0").message("success").data(data);
     }

     /**
      * 报错结果
      *
      * @param code
      * @param message
      * @return
      */
     public static DataResponse error(String code, String message) {
         return create().code(code).message(message);
     }

     public String getCode() {
         return code;
     }

     public void setCode(String code) {
         this.code = code;
     }

     public String getMessage() {
         return message;
     }

     public void setMessage(String message) {
         this.message = message;
     }

     public List<CstDataBean> getData() {
         return data;
     }

     public void setData(List<CstDataBean> data) {
         this.data = data;
     }
 }