 /*
  * Copyright (C), 2018-2020
  * Project: starter
  * FileName: RoleGroupDAO
  * Author:   Louis
  * Date:     2020/6/4 11:44
  */
 package com.fr.plugin.j7843.sso.dao;

 import com.fr.plugin.j7843.sso.ProcessDBAccess;
import com.fr.plugin.j7843.sso.entity.CstDataEntity;
import com.fr.stable.db.action.DBAction;
import com.fr.stable.db.dao.BaseDAO;
import com.fr.stable.db.session.DAOSession;

 /**
  * 〈Function Description〉<br>
  * 〈CstDataDao〉
  *
  * @author Louis
  * @since 1.0.0
  */
 public class CstDataDao extends BaseDAO<CstDataEntity> {
     public CstDataDao(DAOSession daoSession) {
         super(daoSession);
     }

     protected Class<CstDataEntity> getEntityClass() {
         return CstDataEntity.class;
     }

     /**
      * Save
      *
      * @param saveCstData
      * @throws Exception
      */
     public static void save(final CstDataEntity saveCstData) throws Exception {
         CstDataEntity cstDataEntity = ProcessDBAccess.getAccessor().runQueryAction(daoContext -> daoContext.getDAO(CstDataDao.class)
                 .getById(saveCstData.getId()));
         if (cstDataEntity != null) {
             return;
         }
         ProcessDBAccess.getAccessor().runDMLAction((DBAction<CstDataEntity>) daoContext -> {
             (daoContext.getDAO(CstDataDao.class)).add(saveCstData);
             return null;
         });
     }
 }