 /*
  * Copyright (C), 2018-2020
  * Project: starter
  * FileName: RoleGroupMiddleDao
  * Author:   Louis
  * Date:     2020/6/4 14:33
  */
 package com.fr.plugin.j7843.sso.dao;

 import com.fr.plugin.j7843.sso.ProcessDBAccess;
 import com.fr.plugin.j7843.sso.entity.CstStatusEntity;
 import com.fr.stable.db.dao.BaseDAO;
 import com.fr.stable.db.session.DAOSession;
 import com.fr.stable.query.QueryFactory;
 import com.fr.stable.query.restriction.RestrictionFactory;

 import java.util.List;

 /**
  * 〈Function Description〉<br>
  * 〈CstStatusDao〉
  *
  * @author Louis
  * @since 1.0.0
  */
 public class CstStatusDao extends BaseDAO<CstStatusEntity> {
    public CstStatusDao(DAOSession daoSession) {
   super(daoSession);
  }
    protected Class<CstStatusEntity> getEntityClass() {
   return CstStatusEntity.class;
  }

     /**
      * 按照手机号查询状态
      *
      * @param telphone
      * @throws Exception
      */
     public static List<CstStatusEntity> getStatus(final String pcode, final String telphone) throws Exception {
         return ProcessDBAccess.getAccessor().runQueryAction(daoContext -> daoContext.getDAO(CstStatusDao.class)
                 .find(QueryFactory.create().addRestriction(RestrictionFactory.eq(CstStatusEntity.COLUMN_TELPHONE, telphone))
                         .addRestriction(RestrictionFactory.eq(CstStatusEntity.COLUMN_P_CODE, pcode))
                 ));
     }
 }