 /*
  * Copyright (C), 2018-2020
  * Project: starter
  * FileName: RoleGroupEntity
  * Author:   Louis
  * Date:     2020/6/3 16:18
  */
 package com.fr.plugin.j7843.sso.entity;

 import com.fanruan.api.util.StringKit;
 import com.fr.plugin.j7843.sso.bean.CstDataBean;
 import com.fr.stable.db.entity.BaseEntity;
import com.fr.third.javax.persistence.Column;
import com.fr.third.javax.persistence.Entity;
import com.fr.third.javax.persistence.Table;

 /**
  * 〈Function Description〉<br>
  * 〈CstDataEntity〉
  *
  * @author Louis
  * @since 1.0.0
  */
 @Entity
 @Table(name = "fine_cst_data")
 public class CstDataEntity extends BaseEntity {
     public static final String COLUMN_P_CODE = "pcode";
     public static final String COLUMN_NAME = "name";
     public static final String COLUMN_TELPHONE = "telphone";
     public static final String COLUMN_TIME = "time";
     public static final String COLUMN_PROJ_NAME = "projName";
     public static final String COLUMN_CITY_CO = "cityCo";
     private static final long serialVersionUID = 6358871812172045109L;

     @Column(name = COLUMN_P_CODE)
     private String pcode = StringKit.EMPTY;
     @Column(name = COLUMN_NAME)
     private String name = StringKit.EMPTY;
     @Column(name = COLUMN_TELPHONE)
     private String telphone = StringKit.EMPTY;
     @Column(name = COLUMN_TIME)
     private String time = StringKit.EMPTY;
     @Column(name = COLUMN_PROJ_NAME)
     private String projName = StringKit.EMPTY;
     @Column(name = COLUMN_CITY_CO)
     private String cityCo = StringKit.EMPTY;

     public CstDataEntity() {
     }

     public CstDataBean createBean(CstDataBean cstData) {
         cstData.setId(this.getId());
         cstData.setPcode(this.getPcode());
         cstData.setTelphone(this.getTelphone());
         cstData.setTime(this.getTime());
         cstData.setProjName(this.getProjName());
         cstData.setCityCo(this.getCityCo());
         return cstData;
     }

     public CstDataEntity id(String id) {
         this.setId(id);
         return this;
     }

     public CstDataEntity pcode(String pcode) {
         this.setPcode(pcode);
         return this;
     }

     public CstDataEntity name(String name) {
         this.setName(name);
         return this;
     }

     public CstDataEntity telphone(String telphone) {
         this.setTelphone(telphone);
         return this;
     }

     public CstDataEntity time(String time) {
         this.setTime(time);
         return this;
     }

     public CstDataEntity projName(String projName) {
         this.setProjName(projName);
         return this;
     }

     public CstDataEntity cityCo(String cityCo) {
         this.setCityCo(cityCo);
         return this;
     }

     public String getPcode() {
         return pcode;
     }

     public void setPcode(String pcode) {
         this.pcode = pcode;
     }

     public String getName() {
         return name;
     }

     public void setName(String name) {
         this.name = name;
     }

     public String getTelphone() {
         return telphone;
     }

     public void setTelphone(String telphone) {
         this.telphone = telphone;
     }

     public String getTime() {
         return time;
     }

     public void setTime(String time) {
         this.time = time;
     }

     public String getProjName() {
         return projName;
     }

     public void setProjName(String projName) {
         this.projName = projName;
     }

     public String getCityCo() {
         return cityCo;
     }

     public void setCityCo(String cityCo) {
         this.cityCo = cityCo;
     }
 }