 /*
  * Copyright (C), 2018-2020
  * Project: starter
  * FileName: RoleGroupMiddleEntity
  * Author:   Louis
  * Date:     2020/6/4 14:14
  */
 package com.fr.plugin.j7843.sso.entity;

 import com.fanruan.api.util.AssistKit;
 import com.fanruan.api.util.StringKit;
 import com.fr.plugin.j7843.sso.bean.CstDataBean;
 import com.fr.stable.db.entity.BaseEntity;
 import com.fr.third.javax.persistence.Column;
 import com.fr.third.javax.persistence.Entity;
 import com.fr.third.javax.persistence.Table;

 /**
  * 〈Function Description〉<br>
  * 〈CstStatusEntity〉
  *
  * @author Louis
  * @since 1.0.0
  */
 @Entity
 @Table(name = "fine_cst_status")
 public class CstStatusEntity extends BaseEntity {
     public static final String COLUMN_P_CODE = "pcode";
     public static final String COLUMN_FY_CODE = "fy_code";
     public static final String COLUMN_FY_NAME = "fy_name";
     public static final String COLUMN_PRICE = "price";
     public static final String COLUMN_RG_TIME = "rg_time";
     public static final String COLUMN_QY_TIME = "qy_time";
     public static final String COLUMN_TELPHONE = "telphone";
     private static final long serialVersionUID = -7548354093125191283L;

     @Column(name = COLUMN_P_CODE)
     private String pcode = StringKit.EMPTY;
     @Column(name = COLUMN_FY_CODE)
     private String fyCode = StringKit.EMPTY;
     @Column(name = COLUMN_FY_NAME)
     private String fyName = StringKit.EMPTY;
     @Column(name = COLUMN_PRICE)
     private int price;
     @Column(name = COLUMN_RG_TIME)
     private String rgTime = StringKit.EMPTY;
     @Column(name = COLUMN_QY_TIME)
     private String qyTime = StringKit.EMPTY;
     @Column(name = COLUMN_TELPHONE)
     private String telphone = StringKit.EMPTY;

     public CstStatusEntity() {
     }

     public void createBean(CstDataBean cstDataBean) {
         cstDataBean.setFyCode(this.getFyCode());
         cstDataBean.setFyName(this.getFyName());
         cstDataBean.setPrice(this.getPrice());
         cstDataBean.setRgTime(this.getRgTime());
         cstDataBean.setQyTime(this.getQyTime());
     }

     public CstStatusEntity id(String id){
         this.setId(id);
         return this;
     }

     public CstStatusEntity pcode(String pcode) {
         this.setPcode(pcode);
         return this;
     }

     public CstStatusEntity fyCode(String fyCode) {
         this.setFyCode(fyCode);
         return this;
     }

     public CstStatusEntity fyName(String fyName) {
         this.setFyName(fyName);
         return this;
     }

     public CstStatusEntity price(int price) {
         this.setPrice(price);
         return this;
     }

     public CstStatusEntity rgTime(String rgTime) {
         this.setRgTime(rgTime);
         return this;
     }

     public CstStatusEntity qyTime(String qyTime) {
         this.setQyTime(qyTime);
         return this;
     }

     public CstStatusEntity telphone(String telphone){
         this.setTelphone(telphone);
         return this;
     }

     public String getTelphone() {
         return telphone;
     }

     public void setTelphone(String telphone) {
         this.telphone = telphone;
     }

     public int getPrice() {
         return price;
     }

     public void setPrice(int price) {
         this.price = price;
     }

     public String getPcode() {
         return pcode;
     }

     public void setPcode(String pcode) {
         this.pcode = pcode;
     }

     public String getFyCode() {
         return fyCode;
     }

     public void setFyCode(String fyCode) {
         this.fyCode = fyCode;
     }

     public String getFyName() {
         return fyName;
     }

     public void setFyName(String fyName) {
         this.fyName = fyName;
     }

     public String getRgTime() {
         return rgTime;
     }

     public void setRgTime(String rgTime) {
         this.rgTime = rgTime;
     }

     public String getQyTime() {
         return qyTime;
     }

     public void setQyTime(String qyTime) {
         this.qyTime = qyTime;
     }

     @Override
     public String toString() {
         return AssistKit.toString(this);
     }
 }